Skip to main content
POST
/
api
/
v1
/
status-pages
/
{statusPageId}
/
static-components
Create a static component
curl --request POST \
  --url https://api.example.com/api/v1/status-pages/{statusPageId}/static-components \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "startDate": "<string>",
  "displayUptime": true,
  "description": "<string>",
  "groupId": "<string>"
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

statusPageId
string
required

Body

application/json
name
string
required
startDate
string
required

YYYY-MM-DD

displayUptime
boolean
required
description
string
groupId
string

Response

201 - undefined